# purefb_s3user – Create or delete FlashBlade Object Store account users

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create or delete object store account users on a Pure Storage FlashBlade.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- purity_fb >= 1.1

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

access_key
boolean

Choices:
- no
- yes ←

Create secret access key.
Key can be exposed using the debug module

account string |  | The name of object store account associated with user
api_token string |  | FlashBlade API token for admin privileged user.
fb_url string |  | FlashBlade management IP address or Hostname.
name string |  | The name of object store user

state
string

Choices:
- absent
- present ←

Create or delete object store account user

## Notes

Note

- This module requires the `purity_fb` Python library

- You must set `PUREFB_URL` and `PUREFB_API` environment variables if fb_url and api_token arguments are not passed to the module directly

## Examples

    - name: Create object store user (with access ID and key) foo in account bar
      purefb_s3user:
        name: foo
        account: bar
        fb_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
      register: result

    - debug:
        msg: "S3 User: {{ result['s3user_info'] }}"

    - name: Delete object store user foo in account bar
      purefb_s3user:
        name: foo
        account: bar
        state: absent
        fb_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.